Name: fnlib
Version: 0.5
Release: alt2.1
Serial: 1

Summary: Color font rendering library for X11R6
License: LGPL
Group: System/Libraries
Url: http://www.rasterman.com/

Source: ftp://www.rasterman.com/pub/enlightenment/libs/%name/%name-%version.tar.bz2

Obsoletes: Fnlib

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static libpng-devel-static zlib-devel-static}

# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: XFree86-devel XFree86-libs imlib-devel libjpeg-devel libtiff-devel libungif-devel 

%package devel
Summary: Headers, development libraries and documentation for Fnlib
Group: Development/C
Requires: %name = %version-%release
Obsoletes: Fnlib-devel

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description
Fnlib is a library that provides full, scalable 24-bit color font
rendering abilities for X.

%description devel
This package contains development library, include files and documentation
required for development %name-based software.

%description devel-static
This package contains static library required for development
statically linked %name-based software.

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/*
%_libdir/*.so.*
%_datadir/fnlib_fonts
%doc README

%files devel
%_libdir/*.so
%_includedir/*
%doc doc/fontinfo.README

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.5-alt2.1
- Rebuilt with libtiff.so.4.

* Tue Feb 10 2004 Dmitry V. Levin <ldv@altlinux.org> 1:0.5-alt2
- Do not package .la files.
- Do not build static library by default.

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1:0.5-alt1
- rebuilt with gcc-3.2

* Thu Oct 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.5-ipl3mdk
- Moved static library to devel-static subpackage.
- Rebuilt with libpng.so.3

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl2mdk
- FHSification.
- Automatically added BuildRequires.

* Sun Jun 11 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl1mdk
* RE adaptions.

* Wed Jun  7 2000 Pixel <pixel@mandrakesoft.com> 0.5-1mdk
- new version

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.4-14mdk
- rpm group update
- spec-helperizing specfile

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4-13mdk
- libtoolize --force.

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed a little the %description of -devel package; so it
  can be distinguished from Summary for the translations teams
  and the new automated integration of l10n'ed descriptions.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Builf for Mandrake.

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

